Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class DIGConstants

    java.lang.Object
      org.mindswap.pellet.dig.DIGConstants

Direct Known Subclasses:
  DIGHandler

    public class DIGConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `ALL_CONCEPT_NAMES`
`static java.lang.String` | `ALL_INDIVIDUALS`
`static java.lang.String` | `ALL_ROLE_NAMES`
`static java.lang.String` | `ANCESTORS`
`static java.lang.String` | `AND`
`static java.lang.String` | `ASK`
`static java.lang.String` | `ASKS`
`static java.lang.String` | `ATLEAST`
`static java.lang.String` | `ATMOST`
`static java.lang.String` | `ATTRIBUTE`
`static java.lang.String` | `BOTTOM`
`static java.lang.String` | `CATOM`
`static java.lang.String` | `CHAIN`
`static java.lang.String` | `CHILDREN`
`static java.lang.String` | `CLEARKB`
`static java.lang.String` | `CODE`
`static java.lang.String` | `CONCEPT_SET`
`static java.lang.String` | `DEFATTRIBUTE`
`static java.lang.String` | `DEFCONCEPT`
`static java.lang.String` | `DEFFEATURE`
`static java.lang.String` | `DEFINDIVIDUAL`
`static java.lang.String` | `DEFINED`
`static java.lang.String` | `DEFROLE`
`static java.lang.String` | `DESCENDANTS`
`static java.lang.String` | `DISJOINT`
`static java.lang.String` | `DOMAIN`
`static java.lang.String` | `EQUALC`
`static java.lang.String` | `EQUALR`
`static java.lang.String` | `EQUIVALENTS`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FEATURE`
`static java.lang.String` | `FUNCTIONAL`
`static java.lang.String` | `GET_IDENTIFIER`
`static java.lang.String` | `ID`
`static java.lang.String` | `IDENTIFIER`
`static java.lang.String` | `IMPLIESC`
`static java.lang.String` | `IMPLIESR`
`static java.lang.String` | `INDIVIDUAL`
`static java.lang.String` | `INDIVIDUAL_PAIR`
`static java.lang.String` | `INDIVIDUAL_PAIR_SET`
`static java.lang.String` | `INDIVIDUAL_SET`
`static java.lang.String` | `INSTANCE`
`static java.lang.String` | `INSTANCEOF`
`static java.lang.String` | `INSTANCES`
`static java.lang.String` | `INTEQUALS`
`static java.lang.String` | `INTMAX`
`static java.lang.String` | `INTMIN`
`static java.lang.String` | `INTRANGE`
`static java.lang.String` | `INVERSE`
`static java.lang.String` | `ISET`
`static java.lang.String` | `IVAL`
`static java.lang.String` | `KB`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `MAX`
`static java.lang.String` | `MESSAGE`
`static java.lang.String` | `MIN`
`static java.lang.String` | `NAME`
`static java.lang.String` | `NAMESPACE`
`static java.lang.String` | `NEWKB`
`static java.lang.String` | `NOT`
`static java.lang.String` | `NUM`
`static java.lang.String` | `OK`
`static java.lang.String` | `OR`
`static java.lang.String` | `PARENTS`
`static java.lang.String` | `RANCESTORS`
`static java.lang.String` | `RANGE`
`static java.lang.String` | `RANGEINT`
`static java.lang.String` | `RANGESTRING`
`static java.lang.String` | `RATOM`
`static java.lang.String` | `RCHILDREN`
`static java.lang.String` | `RDESCENDANTS`
`static java.lang.String` | `RELATED`
`static java.lang.String` | `RELATED_INDIVIDUALS`
`static java.lang.String` | `RELEASEKB`
`static java.lang.String` | `RESPONSE`
`static java.lang.String` | `RESPONSES`
`static java.lang.String` | `ROLE_FILLERS`
`static java.lang.String` | `ROLE_SET`
`static java.lang.String` | `RPARENTS`
`static java.lang.String` | `SATISFIABLE`
`static java.lang.String` | `SCHEMA`
`static java.lang.String` | `SOME`
`static java.lang.String` | `STRINGEQUALS`
`static java.lang.String` | `STRINGMAX`
`static java.lang.String` | `STRINGMIN`
`static java.lang.String` | `STRINGRANGE`
`static java.lang.String` | `SUBSUMES`
`static java.lang.String` | `SUPPORTS`
`static java.lang.String` | `SVAL`
`static java.lang.String` | `SYNONYMS`
`static java.lang.String` | `TELL`
`static java.lang.String` | `TELLS`
`static java.lang.String` | `TOLD_VALUES`
`static java.lang.String` | `TOP`
`static java.lang.String` | `TRANSITIVE`
`static java.lang.String` | `TRUE`
`static java.lang.String` | `TYPES`
`static java.lang.String` | `URI`
`static java.lang.String` | `VAL`
`static java.lang.String` | `VALUE`
`static java.lang.String` | `VERSION`
`static java.lang.String` | `WARNING`
`static java.lang.String` | `XSI`

Constructor Summary
`DIGConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA

    public static final java.lang.String SCHEMA

See Also:
  Constant Field Values

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### XSI

    public static final java.lang.String XSI

See Also:
  Constant Field Values

### GET_IDENTIFIER

    public static final java.lang.String GET_IDENTIFIER

See Also:
  Constant Field Values

### IDENTIFIER

    public static final java.lang.String IDENTIFIER

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### MESSAGE

    public static final java.lang.String MESSAGE

See Also:
  Constant Field Values

### SUPPORTS

    public static final java.lang.String SUPPORTS

See Also:
  Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### ASK

    public static final java.lang.String ASK

See Also:
  Constant Field Values

### TELL

    public static final java.lang.String TELL

See Also:
  Constant Field Values

### TELLS

    public static final java.lang.String TELLS

See Also:
  Constant Field Values

### ASKS

    public static final java.lang.String ASKS

See Also:
  Constant Field Values

### NEWKB

    public static final java.lang.String NEWKB

See Also:
  Constant Field Values

### CLEARKB

    public static final java.lang.String CLEARKB

See Also:
  Constant Field Values

### RELEASEKB

    public static final java.lang.String RELEASEKB

See Also:
  Constant Field Values

### RESPONSE

    public static final java.lang.String RESPONSE

See Also:
  Constant Field Values

### RESPONSES

    public static final java.lang.String RESPONSES

See Also:
  Constant Field Values

### OK

    public static final java.lang.String OK

See Also:
  Constant Field Values

### KB

    public static final java.lang.String KB

See Also:
  Constant Field Values

### ERROR

    public static final java.lang.String ERROR

See Also:
  Constant Field Values

### CONCEPT_SET

    public static final java.lang.String CONCEPT_SET

See Also:
  Constant Field Values

### SYNONYMS

    public static final java.lang.String SYNONYMS

See Also:
  Constant Field Values

### ROLE_SET

    public static final java.lang.String ROLE_SET

See Also:
  Constant Field Values

### INDIVIDUAL_SET

    public static final java.lang.String INDIVIDUAL_SET

See Also:
  Constant Field Values

### INDIVIDUAL_PAIR_SET

    public static final java.lang.String INDIVIDUAL_PAIR_SET

See Also:
  Constant Field Values

### INDIVIDUAL_PAIR

    public static final java.lang.String INDIVIDUAL_PAIR

See Also:
  Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### WARNING

    public static final java.lang.String WARNING

See Also:
  Constant Field Values

### ALL_CONCEPT_NAMES

    public static final java.lang.String ALL_CONCEPT_NAMES

See Also:
  Constant Field Values

### ALL_ROLE_NAMES

    public static final java.lang.String ALL_ROLE_NAMES

See Also:
  Constant Field Values

### ALL_INDIVIDUALS

    public static final java.lang.String ALL_INDIVIDUALS

See Also:
  Constant Field Values

### SATISFIABLE

    public static final java.lang.String SATISFIABLE

See Also:
  Constant Field Values

### SUBSUMES

    public static final java.lang.String SUBSUMES

See Also:
  Constant Field Values

### PARENTS

    public static final java.lang.String PARENTS

See Also:
  Constant Field Values

### CHILDREN

    public static final java.lang.String CHILDREN

See Also:
  Constant Field Values

### ANCESTORS

    public static final java.lang.String ANCESTORS

See Also:
  Constant Field Values

### DESCENDANTS

    public static final java.lang.String DESCENDANTS

See Also:
  Constant Field Values

### EQUIVALENTS

    public static final java.lang.String EQUIVALENTS

See Also:
  Constant Field Values

### RPARENTS

    public static final java.lang.String RPARENTS

See Also:
  Constant Field Values

### RCHILDREN

    public static final java.lang.String RCHILDREN

See Also:
  Constant Field Values

### RANCESTORS

    public static final java.lang.String RANCESTORS

See Also:
  Constant Field Values

### RDESCENDANTS

    public static final java.lang.String RDESCENDANTS

See Also:
  Constant Field Values

### INSTANCES

    public static final java.lang.String INSTANCES

See Also:
  Constant Field Values

### TYPES

    public static final java.lang.String TYPES

See Also:
  Constant Field Values

### INSTANCE

    public static final java.lang.String INSTANCE

See Also:
  Constant Field Values

### ROLE_FILLERS

    public static final java.lang.String ROLE_FILLERS

See Also:
  Constant Field Values

### RELATED_INDIVIDUALS

    public static final java.lang.String RELATED_INDIVIDUALS

See Also:
  Constant Field Values

### TOLD_VALUES

    public static final java.lang.String TOLD_VALUES

See Also:
  Constant Field Values

### DEFCONCEPT

    public static final java.lang.String DEFCONCEPT

See Also:
  Constant Field Values

### DEFROLE

    public static final java.lang.String DEFROLE

See Also:
  Constant Field Values

### DEFFEATURE

    public static final java.lang.String DEFFEATURE

See Also:
  Constant Field Values

### DEFATTRIBUTE

    public static final java.lang.String DEFATTRIBUTE

See Also:
  Constant Field Values

### DEFINDIVIDUAL

    public static final java.lang.String DEFINDIVIDUAL

See Also:
  Constant Field Values

### IMPLIESC

    public static final java.lang.String IMPLIESC

See Also:
  Constant Field Values

### EQUALC

    public static final java.lang.String EQUALC

See Also:
  Constant Field Values

### DISJOINT

    public static final java.lang.String DISJOINT

See Also:
  Constant Field Values

### IMPLIESR

    public static final java.lang.String IMPLIESR

See Also:
  Constant Field Values

### EQUALR

    public static final java.lang.String EQUALR

See Also:
  Constant Field Values

### DOMAIN

    public static final java.lang.String DOMAIN

See Also:
  Constant Field Values

### RANGE

    public static final java.lang.String RANGE

See Also:
  Constant Field Values

### RANGEINT

    public static final java.lang.String RANGEINT

See Also:
  Constant Field Values

### RANGESTRING

    public static final java.lang.String RANGESTRING

See Also:
  Constant Field Values

### TRANSITIVE

    public static final java.lang.String TRANSITIVE

See Also:
  Constant Field Values

### FUNCTIONAL

    public static final java.lang.String FUNCTIONAL

See Also:
  Constant Field Values

### INSTANCEOF

    public static final java.lang.String INSTANCEOF

See Also:
  Constant Field Values

### RELATED

    public static final java.lang.String RELATED

See Also:
  Constant Field Values

### VALUE

    public static final java.lang.String VALUE

See Also:
  Constant Field Values

### TOP

    public static final java.lang.String TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final java.lang.String BOTTOM

See Also:
  Constant Field Values

### CATOM

    public static final java.lang.String CATOM

See Also:
  Constant Field Values

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### NOT

    public static final java.lang.String NOT

See Also:
  Constant Field Values

### SOME

    public static final java.lang.String SOME

See Also:
  Constant Field Values

### ALL

    public static final java.lang.String ALL

See Also:
  Constant Field Values

### ATMOST

    public static final java.lang.String ATMOST

See Also:
  Constant Field Values

### ATLEAST

    public static final java.lang.String ATLEAST

See Also:
  Constant Field Values

### ISET

    public static final java.lang.String ISET

See Also:
  Constant Field Values

### DEFINED

    public static final java.lang.String DEFINED

See Also:
  Constant Field Values

### STRINGMIN

    public static final java.lang.String STRINGMIN

See Also:
  Constant Field Values

### STRINGMAX

    public static final java.lang.String STRINGMAX

See Also:
  Constant Field Values

### STRINGEQUALS

    public static final java.lang.String STRINGEQUALS

See Also:
  Constant Field Values

### STRINGRANGE

    public static final java.lang.String STRINGRANGE

See Also:
  Constant Field Values

### INTMIN

    public static final java.lang.String INTMIN

See Also:
  Constant Field Values

### INTMAX

    public static final java.lang.String INTMAX

See Also:
  Constant Field Values

### INTEQUALS

    public static final java.lang.String INTEQUALS

See Also:
  Constant Field Values

### INTRANGE

    public static final java.lang.String INTRANGE

See Also:
  Constant Field Values

### RATOM

    public static final java.lang.String RATOM

See Also:
  Constant Field Values

### FEATURE

    public static final java.lang.String FEATURE

See Also:
  Constant Field Values

### INVERSE

    public static final java.lang.String INVERSE

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final java.lang.String ATTRIBUTE

See Also:
  Constant Field Values

### CHAIN

    public static final java.lang.String CHAIN

See Also:
  Constant Field Values

### INDIVIDUAL

    public static final java.lang.String INDIVIDUAL

See Also:
  Constant Field Values

### NUM

    public static final java.lang.String NUM

See Also:
  Constant Field Values

### IVAL

    public static final java.lang.String IVAL

See Also:
  Constant Field Values

### SVAL

    public static final java.lang.String SVAL

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### VAL

    public static final java.lang.String VAL

See Also:
  Constant Field Values

### MIN

    public static final java.lang.String MIN

See Also:
  Constant Field Values

### MAX

    public static final java.lang.String MAX

See Also:
  Constant Field Values

### URI

    public static final java.lang.String URI

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### CODE

    public static final java.lang.String CODE

See Also:
  Constant Field Values

Constructor Detail

### DIGConstants

    public DIGConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.